Skip to content
>_ Ops School
Curriculum Where to start Contribute GitHub

Curriculum

Foundations

  • Introduction
  • Critical Thinking 101
  • Guidelines
  • Careers in Operations
  • Sysadmin 101

Operating systems

  • Unix fundamentals 101
  • Unix fundamentals 201
  • MS Windows fundamentals 101
  • Text Editing 101
  • Text Editing 201
  • Tools for productivity
  • Hardware 101

Networking

  • Networking 101
  • Networking 201
  • Common services
  • Load Balancing

Security and identity

  • Security 101
  • Security 201
  • Identity Management 101
  • Active Directory 101
  • Active Directory 201

Storage and data

  • Remote Filesystems 101
  • Remote Filesystems 201
  • Databases 101 (Relational Databases)
  • Databases 201
  • Logs 101
  • Logs 201

Running services

  • Troubleshooting
  • Monitoring, Notifications, and Metrics 101
  • Monitoring, Notifications, and Metrics 201
  • Software Deployment 101
  • Software Deployment 201
  • Configuration Management 101
  • Configuration Management 201
  • Capacity Planning
  • Statistics For Engineers
  • Business Continuity Planning

Design and build

  • Programming 101
  • Programming 201
  • Architecture 101
  • Architecture 201
  • Application Components 201
  • Virtualization 101
  • Virtualization 201
  • Datacenters 101
  • Datacenters 201
  • Datacenters 301

People and practice

  • Soft Skills 101
  • Soft Skills 201
  • Labs exercises
  • Learning and the Community
  • Reading List
  • See also

Contributing and reference

  • Contributions
  • Conventions
  • Style Guide
  • Unfinished sections
  • Glossary

Curriculum

Index

B | C | D | E | G | M | O | P | R | V

B

  • BIOS

C

  • CLI

D

  • Domain Specific Language

E

  • EPEL

G

  • GUI

M

  • MAC

O

  • OSI

P

  • POSIX

R

  • RFC
    • RFC 1112
    • RFC 1519
    • RFC 1796
    • RFC 1918
    • RFC 2026
    • RFC 2119
    • RFC 2460
    • RFC 5000
    • RFC 7231
    • RFC 768
    • RFC 791
    • RFC 792
    • RFC 793
    • RFC 826
    • RFC 882
    • RFC 920

V

  • VLAN

Ops School Curriculum is licensed under Creative Commons Attribution 3.0.

Guidelines Glossary Reading list Index GitHub